Skip to content

List reservations in the selected organization

GET
/v1/organizations/{organizationId}/reservations

API key scope: reservations:read.

X-Request-Id
string

Optional client request id returned in structured errors.

productId
string

Filter by product id.

locationId
string

Filter by location id.

ownerId
string

Filter by inventory owner id.

channelId
string

Filter by inventory channel id.

status
string
Allowed values: pending committed released expired cancelled
referenceType
string
Example
checkout
referenceId
string
Example
cart_01JABC
expiresFrom
string format: date-time
Example
2026-06-23T00:00:00.000Z
expiresTo
string format: date-time
Example
2026-06-24T00:00:00.000Z
limit
number
default: 25 >= 1 <= 100
cursor
string

Reservation id cursor returned by the previous page.

Reservations page.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
productId
required
string format: uuid
locationId
required
string format: uuid
ownerId
required
string format: uuid
channelId
required
string format: uuid
quantity
required
number
status
required
string
Allowed values: pending committed released expired cancelled
expiresAt
required
string format: date-time
referenceType
object
referenceId
object
metadata
object
key
additional properties
any
createdBy
object
actor
required
object
type
required
string
Allowed values: user api_key system
id
object
label
required
string
product
object
id
required
string format: uuid
name
required
string
sku
required
string
location
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
owner
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
channel
object
id
required
string format: uuid
name
required
string
code
required
string
type
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
object
Example
{
"items": [
{
"id": "66666666-6666-4666-8666-666666666666",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"productId": "22222222-2222-4222-8222-222222222222",
"locationId": "33333333-3333-4333-8333-333333333333",
"quantity": 2,
"status": "pending",
"expiresAt": "2026-07-01T12:00:00.000Z",
"referenceType": "checkout",
"referenceId": "cart_01JABC",
"metadata": {
"channel": "web"
},
"actor": {
"type": "api_key",
"id": "api-key-1",
"label": "Public test integration"
},
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M"
},
"location": {
"id": "33333333-3333-4333-8333-333333333333",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse"
},
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:00:00.000Z"
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}